<?php

namespace App\Controllers;

use CodeIgniter\Exceptions\PageNotFoundException;

class Comunicacion extends BaseController
{
    public function index(): string
    {
        //permiso('Eventos', 'Enviar Tickets', true);
        return view('comunicacion/index');
    }

    public function encuesta($slug): string
    {
        //permiso('Eventos', 'Enviar Tickets', true);
        // Aquí puedes agregar la lógica para manejar la encuesta según el slug
        return view('comunicacion/encuesta', ['slug' => $slug]);
    }

    public function foro($slug): string
    {
        //permiso('Eventos', 'Enviar Tickets', true);
        // Aquí puedes agregar la lógica para manejar el foro según el slug
        return view('comunicacion/foro', ['slug' => $slug]);
    }
}
